<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>GRID EXERCISE</title>
    <style>
        html,
        body {
            margin: 0px;
            padding: 0px;
            font-family: Calibri;
            width: 100%;
            height: 100%;
        }
        #parent {
            width: 100%;
            height: 100%;
            display: grid;
            grid-template-rows: 250px 50px auto 75px;
            grid-template-columns: 250px auto;
            grid-template-areas: 
                "main-nav header"
                "main-nav top-nav"
                "main-nav main"
                "main-nav footer";
        }
        #parent header,
        #parent nav,
        #parent main,
        #parent footer {
            border: 3px solid darkorchid;
        }
        header {
            grid-area: header;
            /* grid-column: 2 / 3;
            grid-row: 1 / 2; */
        }
        #top-nav {
            grid-area: top-nav
        }
        #main-nav {
            grid-area: main-nav
            /* grid-row: 1 / 5;
            grid-column: 1 / 2; */
        }
        main {
            grid-area: main
        }
        footer {
            grid-area: footer
        }

        @media (max-width: 600px) {

            #parent {
                grid-template-columns: 100%;
                grid-template-rows: 100px 75px 100px auto 50px;
                grid-template-areas: 
                    "header"
                    "footer"
                    "main-nav"
                    "main"
                    "top-nav";
            }

        }
    </style>
</head>

<body>
    <div id="parent">
        <header>HEADER</header>
        <nav id="top-nav">TOP NAV</nav>
        <nav id="main-nav">MAIN NAV</nav>
        <main>MAIN</main>
        <footer>FOOTER</footer>
    </div>
</body>

</html>